# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\00003dlr6vj\tmp\build\80754af9\combined_recipe, last modified Mon Feb  1 16:14:18 2021
# ------------------------------------------------

package:
  name: ipython
  version: 7.20.0
source:
  sha256: 1923af00820a8cf58e91d56b89efc59780a6e81363b94464a0f17c039dffff9e
  url: https://pypi.io/packages/source/i/ipython/ipython-7.20.0.tar.gz
build:
  entry_points:
    - iptest = IPython.testing.iptestcontroller:main
    - iptest3 = IPython.testing.iptestcontroller:main
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '0'
  script: C:\\ci\\ipython_1612217867638\\_h_env\\python.exe -m pip install . -vv
  string: py38hd4e2768_0
requirements:
  host:
    - ca-certificates 2021.1.19 haa95532_0
    - certifi 2020.12.5 py38haa95532_0
    - openssl 1.1.1i h2bbff1b_0
    - pip 20.3.3 py38haa95532_0
    - python 3.8.5 h5fd99cc_1
    - setuptools 52.0.0 py38haa95532_0
    - sqlite 3.33.0 h2a8f88b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py38_0
    - zlib 1.2.11 h62dcd97_4
  run:
    - backcall
    - colorama
    - decorator
    - jedi >=0.10,<0.18
    - pickleshare
    - prompt-toolkit !=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
    - pygments
    - python >=3.8,<3.9.0a0
    - setuptools >=18.5
    - traitlets >=4.2
test:
  commands:
    - ipython -h
    - ipython3 -h
    - set NOSE_EXCLUDE="recursion|home_dir_3|home_dir_5|store_restore|storemagic"
      && iptest
    - python -m pip check
  imports:
    - IPython
    - IPython.core
    - IPython.core.magics
    - IPython.core.tests
    - IPython.extensions
    - IPython.extensions.tests
    - IPython.external
    - IPython.external.decorators
    - IPython.lib
    - IPython.lib.tests
    - IPython.sphinxext
    - IPython.terminal
    - IPython.terminal.pt_inputhooks
    - IPython.terminal.tests
    - IPython.testing
    - IPython.testing.plugin
    - IPython.testing.tests
    - IPython.utils
    - IPython.utils.tests
  requires:
    - ipykernel
    - matplotlib
    - nbformat
    - nose >=0.10.1
    - numpy
    - pip
    - pygments
    - requests
    - testpath
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
